Package org.eclipse.net4j.util.io

# Interface ExtendedDataOutput

All Superinterfaces:
  `DataOutput`

All Known Implementing Classes:
  `DataOutputExtender`, `ExtendedDataOutput.Delegating`, `ExtendedDataOutputStream`

public interface ExtendedDataOutput extends DataOutput

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ExtendedDataOutput.Delegating`
`static class`
`ExtendedDataOutput.Stream`

## Method Summary

Modifier and Type
Method
Description
`void`
`writeByteArray(byte[] b)`
`void`
`writeEnum(Enum<?> literal)`
`void`
`writeException(Throwable t)`
`void`
`writeObject(Object object)`
`void`
`writeString(String str)`
`void`
`writeVarInt(int v)`
`void`
`writeVarLong(long v)`

### Methods inherited from interface java.io.DataOutput

`write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

## Method Details

### writeVarInt

void writeVarInt(int v) throws IOException

Throws:
  `IOException`
Since:
  3.7

### writeVarLong

void writeVarLong(long v) throws IOException

Throws:
  `IOException`
Since:
  3.7

### writeByteArray

void writeByteArray(byte[] b) throws IOException

Throws:
  `IOException`

### writeObject

void writeObject(Object object) throws IOException

Throws:
  `IOException`

### writeString

void writeString(String str) throws IOException

Throws:
  `IOException`

### writeEnum

void writeEnum(Enum<?> literal) throws IOException

Throws:
  `IOException`
Since:
  3.0

### writeException

void writeException(Throwable t) throws IOException

Throws:
  `IOException`
Since:
  3.4